Alpine Linux - Bug #6685

gtest-dev missing directory/files in package (non-functional)
01/13/2017 10:12 PM - Jared Biel

Status: Closed Start date: 01/13/2017
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.5.1

Affected versions: 3.5.0 Security IDs:

Description

Hello - the gtest 1.8.0 package seems to be missing a directory (/usr/include/gtest/internal/custom) and associated files. This results
in gtest not working during the build I'm trying to perform (libphonenumber.) Compilation under Alpine 3.4 (with gtest 1.7.0 package)
work fine.

[ 56%] Building CXX object CMakeFiles/libphonenumber_test.dir/test/phonenumbers/asyoutypeformatter
_test.cc.o
In file included from /usr/include/gtest/internal/gtest-internal.h:40:0,

from /usr/include/gtest/gtest.h:58,

from /root/libphonenumber—-8.0.1/cpp/test/phonenumbers/asyoutypeformatter_test.cc:
238
/usr/include/gtest/internal/gtest-port.h:282:46: fatal error: gtest/internal/custom/gtest-port.h:
No such file or directory
#include "gtest/internal/custom/gtest-port.h"

A

compilation terminated.

internal/gtest-internal.h includes internal/custom-port.h in line 282
https://github.com/google/googletest/blob/release-1.8.0/googletest/include/gtest/internal/gtest-port.h#L. 282

Repro steps (exactly what I'm trying in an alpine:3.5 docker container):

apk —--update add build-base gtest gtest-dev boost boost-dev protobuf protobuf-dev cmake icu icu-de
v openssl

cd /tmp

wget https://github.com/googleil8n/libphonenumber/archive/v8.0.1.tar.gz

tar xf v8.0.1.tar.gz

cd libphonenumber-8.0.1

mkdir build

cd build

cmake —-DCMAKE_INSTALL_PREFIX=/usr ../cpp

make -Wno-error=deprecated-declarations -3j $(grep —-c "“processor /proc/cpuinfo)

I'm pretty new to Alpine and am working on trying to get abuild to run so | can debug what happened with the build. I'll update this
ticket if | have time to get an abuild environment up and running.

Associated revisions

Revision 773c81ab - 01/16/2017 09:29 AM - Francesco Colista
main/gtest: added missing dir in -dev package. Fixes #6685

Revision 548d5f05 - 01/17/2017 10:13 AM - Francesco Colista
main/gtest: added missing dir in -dev package. Fixes #6685

History

#1 - 01/16/2017 09:29 AM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

05/20/2019 12



https://github.com/google/googletest/blob/release-1.8.0/googletest/include/gtest/internal/gtest-port.h#L282

Applied in changeset 773c81abaf38ed97111114cbe64316eb5e8a5a57.

#2 - 01/16/2017 03:59 PM - Jared Biel

Thanks for this fix! Considering the 1.8.0-r0 package is non-functional, is there a process to get 1.8.0-r1 included in v3.5?

#3 - 01/16/2017 05:12 PM - Natanael Copa
- Status changed from Resolved to New

- Target version set to 3.5.1
yes, this should be backported to 3.5-stable

#4 - 01/17/2017 10:16 AM - Anonymous

- Status changed from New to Resolved

Applied in changeset 548d5f059{840db86343544a7d2c31b34467bc05.

#5 - 01/24/2017 02:52 PM - Leonardo Arena

- Status changed from Resolved to Closed

05/20/2019 22


https://bugs.alpinelinux.org/projects/alpine/repository/revisions/773c81abaf38ed97111114cbe64316eb5e8a5a57
https://bugs.alpinelinux.org/projects/alpine/repository/revisions/548d5f059f840db86343544a7d2c31b34467bc05
